/* REXX script to trick PM Mail into treating a multipart digest as a
   regular message.  Install this script in a .cmd file, and then
   put it into use by adding a filter to incoming messages that have
   a subject line known to be a digest you subscribe to
   (use A_c_count/_U_tilities Settings... and select the "Filter" tab)
   -- Paul Orgren, 5/20/97   */

call RxFuncAdd 'SysTempFileName', 'RexxUtil', 'SysTempFileName'

/* The name of the file containing the message is passed as an arg by PMMail */
parse arg sendfile

/* Edit the path to your temp directory on the next line */
tempfile = SysTempFileName('e:\temp\pmm?????.tmp')

Do while lines(sendfile) > 0
  line = Linein(sendfile)
  /* Change the multipart/digest line to text/plain, so PM Mail doesn't
     split up the digest into multiple attachments */
  If substr(line, 1, 30) = "Content-Type: multipart/digest"
  Then
    Call Lineout tempfile, "Content-Type: text/plain"
  Else
    Call Lineout tempfile, line
End

call stream sendfile, 'c', 'close'
call stream tempfile, 'c', 'close'

/* Replace input file with contents of tempfile, and delete tempfile */
'@copy' tempfile sendfile '>nul'
'@del' tempfile '>nul'
exit


